# wxNotifyEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxNotifyEvent:
[legend]

## Detailed Description

This class is not used by the event handlers by itself, but is a base class for other event classes (such as wxBookCtrlEvent).

It (or an object of a derived class) is sent when the controls state is being changed and allows the program to wxNotifyEvent::Veto() this change if it wants to prevent it from happening.

##

Library: wxCore

Category: Events

See also:
  wxBookCtrlEvent

## Public Member Functions
| wxNotifyEvent (wxEventType eventType=wxEVT_NULL, int id=0)
| Constructor (used internally by wxWidgets only).
void | Allow ()
| This is the opposite of Veto(): it explicitly allows the event to be processed.
bool | IsAllowed () const
| Returns true if the change is allowed (Veto() hasn't been called) or false otherwise (if it was).
void | Veto ()
| Prevents the change announced by this event from happening.

List of all members.

## Constructor & Destructor Documentation

wxNotifyEvent::wxNotifyEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | int | id = `0` |
| ) |  |  |

Constructor (used internally by wxWidgets only).

## Member Function Documentation

void wxNotifyEvent::Allow | ( |  | ) |

This is the opposite of Veto(): it explicitly allows the event to be processed.

For most events it is not necessary to call this method as the events are allowed anyhow but some are forbidden by default (this will be mentioned in the corresponding event description).

bool wxNotifyEvent::IsAllowed | ( |  | ) | const

Returns true if the change is allowed (Veto() hasn't been called) or false otherwise (if it was).

void wxNotifyEvent::Veto | ( |  | ) |

Prevents the change announced by this event from happening.

It is in general a good idea to notify the user about the reasons for vetoing the change because otherwise the applications behaviour (which just refuses to do what the user wants) might be quite surprising.

|  | [ top ]